Bug 75237 - orinoco_pci flaky on UP, very flaky on SMP kernel
orinoco_pci flaky on UP, very flaky on SMP kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
:
: 85529 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-05 16:08 EDT by Michel Alexandre Salim
Modified: 2013-07-02 22:07 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2002-10-05 16:08:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I have an Actiontec wireless PCI card, lspci output:
02:06.0 Network controller: Harris Semiconductor Prism 2.5 Wavelan chipset (rev 01)

Using the SMP kernel, after just a few pings the driver fails with Tx error,
status 1 error messages. The first time I loaded the driver it lasted a bit
longer (on kernel 2.4.18-14smp for Athlon). If I use the UP kernel the driver is
more stable but if I stress the card by downloading large files it crashes the
same way.



Version-Release number of selected component (if applicable):
kernel: 2.4.18-14smp, 2.4.18-14

How reproducible:
Always

Steps to Reproduce:
1.Configure card using neat (you have to select another network card then
replace it with orinoco_pci in /etc/modules.conf)
2.Activate the wireless connection
3.Do a few pings (SMP) or download large files (UP)
	

Actual Results:  (date) (host name) kernel: eth1: Tx error, status 1 (FID=....)

repeated multiple times

Expected Results:  No such error message

Additional info:

Similar to bug 65097 for Red Hat 7.3, and errors I get with the Kawasaki 19250
USB network device last year - flaky driver!
Comment 1 Michel Alexandre Salim 2002-10-05 18:04:04 EDT
Correction: error message was:

eth1: Error -110 writing Tx descriptor to BAP
Comment 2 Chris Runge 2002-11-23 14:42:32 EST
kernel-2.4.18-18.8.0

I also have problems with this driver on my IBM ThinkPad T30, which has a
built-in wireless card. The wireless capability will work for some period of
time, then dies unexpectedly. In addition, the error message is written out
frequently enough that it affects the performance of the rest of the system.

In order to restart the wireless networking it is necessary to ifdown the
device, then remove the orinoco_pci module, reload the module, then ifup the
device again.

Here is the relevant output of lspci -vvv for this device:

02:02.0 Network controller: Harris Semiconductor Prism 2.5 Wavelan chipset (rev
01)
        Subsystem: Intel Corp.: Unknown device 2513
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, cache line size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at f8000000 (32-bit, prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 3 Didier 2002-11-23 16:15:20 EST
IBM ThinkPad A30P, orinoco_pci, RHL 8.0, all kernel versions :

Usually (but not always), when the wireless connection dies, 'iwconfig eth1'
reveals the Encryption Key has been reset.

In that particular case, 'iwconfig eth1 key xyz123...' usually restores my
connection.
Comment 4 Greg Kurtzer 2002-12-03 02:13:24 EST
No new info, just more of the same. RedHat 8.0 IBM T30 orinoco_pci module. Lots
of "eth1: Error -110 writing Tx descriptor to BAP" kmessages, and 100% CPU
utilization on kernel logger. Only work-around found so far is to 'ifdown eth1;
rmmod orinoco_pci orinoco; ifup eth1'.
Comment 5 Damien Miller 2002-12-09 18:14:40 EST
Same here: Netgear MA401 card, stock Redhat 8.0 kernel. The lockups usually
occur during heavy file transfers and the only solution is ejecting and
reinserting the card. 

Error messages:

Dec  9 20:05:28 localhost kernel: eth1: error -110 reading Rx descriptor. Frame 
dropped.
Dec  9 20:05:28 localhost kernel: eth1: Error -110 writing packet header to BAP
Dec  9 20:05:28 localhost kernel: eth1: Error -110 writing Tx descriptor to BAP
Dec  9 20:05:56 localhost last message repeated 18823 times
Comment 6 mike.radomski 2002-12-12 08:42:51 EST
I also have the problem with an IBM ThinkPad A31, RH8.0 and the orinoco_pci
driver.  Under heavy network loads the card hangs and gives the following error:

eth1:Error -110 writing Tx descriptor to BAP

It appears to be a kernel driver issue since I recieve the same errors using
different kernels and different distros.
Comment 7 Damien Miller 2003-01-07 08:26:39 EST
It is easy for me to replicate this: send a lot of outbound data, receving data
doesn't trigger it as frequently. When it does it is probably ACKs doing anyway.
Comment 8 wdc 2003-01-09 15:58:36 EST
I've got an IBM T30 laptop, and am seeing this problem, just like Greg Kurtzner.
It seems to happen when I RECEIVE a lot of data, for example if I'm updating a
lot of RPM's.  At MIT I expect people will be doing updates of Linux in this way,
so this will be a pretty important bug to users that I take care of.

Comment 9 Didier 2003-01-09 17:12:51 EST
Bug still present in kernel 2.4.20-2.2 (RawHide / Phoebe 8.0.92).
Comment 10 Didier 2003-01-09 17:14:08 EST
Comment #9 : Sorry, I forgot to mention that kernel was compiled on stock RHL
8.0 (and thus not tested under Phoebe).
Comment 11 George H. Fisher 2003-01-15 12:37:57 EST
I have a prism2/intersil built-in pci wireless card on a fujitsu lifebook
notebook computer.  The orinoco_pci driver has very similar problems:  works OK
for simple websurfing, but as soon as a do a large upload it chokes and
connection can't be restarted properly.  This is a UP kernel for i686 in redhat
7.3 (kernel 2.4.18-19.7.x).Jan 14 13:56:55 .  Here are some of the error msgs:

---------------------------

cholla kernel: eth1: Error -110 writing packet to BAP
Jan 14 13:56:55 cholla kernel: eth1: Error -110 writing Tx descriptor to BAP
Jan 14 13:57:26 cholla last message repeated 33726 times
Jan 14 13:58:27 cholla last message repeated 68372 times
Jan 14 13:58:36 cholla last message repeated 10143 times
Jan 14 13:58:36 cholla kernel: eth1: Error -110 setting multicast list.
Jan 14 13:58:36 cholla kernel: eth1: Error -110 writing Tx descriptor to BAP
Jan 14 13:58:36 cholla kernel: hermes @ MEM 0xe0145000: Timeout waiting for card
to reset (reg=0x0000)!
Jan 14 13:58:36 cholla kernel: eth1: Error -110 shutting down Hermes chipset
Jan 14 13:58:40 cholla kernel: hermes @ MEM 0xe0145000: Error -16 issuing command.
Jan 14 13:58:40 cholla last message repeated 8 times 

----------------------

However, this wireless card works flawlessly using the prism2_pci driver from
wlan-ng .  I obtained the rpms for this driver from this URL:

http://prism2.unixguru.raleigh.nc.us/

The source code configured for generating redhat rpms is available there too.
Perhaps redhat should consider packaging these drivers with their distribution...


Comment 12 Damien Miller 2003-02-09 22:27:35 EST
I have just switched over to the wlan-ng drivers too, I have not been able to
crash them in my stress testing. 

Unfortunately, they don't integrate too well with redhat-config-network et al,
and their configuration tools are pretty horrid (mib style commands in a UI, gah!).
Comment 13 Tim Keitt 2003-03-16 22:22:24 EST
*** Bug 85529 has been marked as a duplicate of this bug. ***
Comment 14 Allen Akin 2003-05-02 18:58:53 EDT
Same problem with RH9, Netgear MA401, Dell Latitude C600.  It's a showstopper
for  real work.
Comment 15 Mark Lipscomb 2003-07-03 09:22:37 EDT
I too have the same problem with RH9 and Netgear MA401 card. 
Comment 16 Simon Perreault 2004-05-21 18:08:56 EDT
Same problem: a lot of "eth1: Error -110 writing Tx descriptor to BAP"
kernel errors that make klogd use the CPU at 100%. This always
reproducible when I upload a large file at maximum throughput, on a
local LAN. It usually happens in the first 30 seconds of upload.
Comment 17 Simon Perreault 2004-05-21 18:10:11 EDT
Oh, forgot to add: this is on Fedora Core 2, with kernel 2.6.5.
Comment 18 Bugzilla owner 2004-09-30 11:40:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.